Exponential 5.x Kernel 7.5.40 Exponential New Stack (Symfony-based) Kernel — PHP Class Reference

eZ\Publish\Core\FieldType\Media\MediaStorage\Gateway\LegacyStorage Member List

This is the complete list of members for eZ\Publish\Core\FieldType\Media\MediaStorage\Gateway\LegacyStorage, including all inherited members.

$dbHandler | eZ\Publish\Core\FieldType\BinaryBase\BinaryBaseStorage\Gateway\LegacyStorage | protected
__construct(DatabaseHandler $dbHandler) | eZ\Publish\Core\FieldType\BinaryBase\BinaryBaseStorage\Gateway\LegacyStorage |
castToPropertyValue($value, $columnName) | eZ\Publish\Core\FieldType\BinaryBase\BinaryBaseStorage\Gateway\LegacyStorage | protected
countFileReferences(array $files) | eZ\Publish\Core\FieldType\BinaryBase\BinaryBaseStorage\Gateway\LegacyStorage |
getConnection() | eZ\Publish\Core\FieldType\BinaryBase\BinaryBaseStorage\Gateway\LegacyStorage | protected
getFileReferenceData($fieldId, $versionNo) | eZ\Publish\Core\FieldType\BinaryBase\BinaryBaseStorage\Gateway\LegacyStorage |
getPropertyMapping() | eZ\Publish\Core\FieldType\Media\MediaStorage\Gateway\LegacyStorage | protected
getReferencedFiles(array $fieldIds, $versionNo) | eZ\Publish\Core\FieldType\BinaryBase\BinaryBaseStorage\Gateway\LegacyStorage |
getSequenceName($table, $column) | eZ\Publish\SPI\FieldType\StorageGateway | protected
getStorageTable() | eZ\Publish\Core\FieldType\Media\MediaStorage\Gateway\LegacyStorage | protected
prependMimeToPath($path, $mimeType) | eZ\Publish\Core\FieldType\BinaryBase\BinaryBaseStorage\Gateway\LegacyStorage |
removeFileReference($fieldId, $versionNo) | eZ\Publish\Core\FieldType\BinaryBase\BinaryBaseStorage\Gateway\LegacyStorage |
removeFileReferences(array $fieldIds, $versionNo) | eZ\Publish\Core\FieldType\BinaryBase\BinaryBaseStorage\Gateway\LegacyStorage |
removeMimeFromPath($path) | eZ\Publish\Core\FieldType\BinaryBase\BinaryBaseStorage\Gateway\LegacyStorage |
setFetchColumns(SelectQuery $selectQuery, $fieldId, $versionNo) | eZ\Publish\Core\FieldType\Media\MediaStorage\Gateway\LegacyStorage | protected
setInsertColumns(InsertQuery $insertQuery, VersionInfo $versionInfo, Field $field) | eZ\Publish\Core\FieldType\Media\MediaStorage\Gateway\LegacyStorage | protected
storeFileReference(VersionInfo $versionInfo, Field $field) | eZ\Publish\Core\FieldType\BinaryBase\BinaryBaseStorage\Gateway\LegacyStorage |
toPropertyName($columnName) | eZ\Publish\Core\FieldType\BinaryBase\BinaryBaseStorage\Gateway\LegacyStorage | protected

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.